#include <stdio.h>
#include <stdlib.h>

#include "langcodes.h"

#ifndef LANG
#define LANG EN
#warning "No language code specified. Using default (EN)"
#endif

int main() {
  
  #if LANG == IT
  printf("Ciao mondo\n");
  #elif LANG == EN
  printf("Hello world\n");
  #elif LANG == FR
  printf("Bonjour tout le monde\n");
  #else
  #error "Language code unrecognized. Compilation aborted"
  #endif

  return EXIT_SUCCESS;
}
